Loading...
Searching...
No Matches
BALL::INIFile::Section Class Reference

`#include <BALL/FORMAT/INIFile.h>`

## Public Member Functions

const String & | getName () const
bool | operator== (const Section &section) const
bool | operator< (const Section &section) const
| Needed for MSVC.
bool | operator> (const Section &section) const
| Needed for MSVC.

## Protected Attributes

String | name_
std::list< String > | lines_
StringHashMap< std::list< String >::iterator > | key_map_

## Friends

class | INIFile
class | IteratorTraits_

## Detailed Description

A section within an INI file

Definition at line 44 of file INIFile.h.

## Member Function Documentation

## getName()

const String & BALL::INIFile::Section::getName | ( |  | ) | const

inline

Definition at line 52 of file INIFile.h.

## operator<()

bool BALL::INIFile::Section::operator< | ( | const Section & | section | ) | const

Needed for MSVC.

## operator==()

bool BALL::INIFile::Section::operator== | ( | const Section & | section | ) | const

inline

Definition at line 58 of file INIFile.h.

## operator>()

bool BALL::INIFile::Section::operator> | ( | const Section & | section | ) | const

Needed for MSVC.

## Friends And Related Symbol Documentation

## INIFile

friend class INIFile

friend

Definition at line 48 of file INIFile.h.

## IteratorTraits_

friend class IteratorTraits_

friend

Definition at line 49 of file INIFile.h.

## Member Data Documentation

## key_map_

StringHashMap<std::list<String>::iterator> BALL::INIFile::Section::key_map_

protected

Definition at line 81 of file INIFile.h.

## lines_

std::list<String> BALL::INIFile::Section::lines_

protected

Definition at line 78 of file INIFile.h.

## name_

String BALL::INIFile::Section::name_

protected

Definition at line 75 of file INIFile.h.